summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Ryan P.C. McQuen <ryan.q@linux.com>2014-12-09 19:14:28 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-12-12 07:49:03 +0700
commit08507ba99c4a7c411f7b0bb74c2e13bcf02b798a (patch)
treef4f99be9f14e264aa0769eee9a07a3ddceba8c18 /development
parent4188decc8c56aab49da739ab8157fdab9a712927 (diff)
downloadslackbuilds-08507ba99c4a7c411f7b0bb74c2e13bcf02b798a.tar.gz
slackbuilds-08507ba99c4a7c411f7b0bb74c2e13bcf02b798a.tar.xz
development/src-vcs: Added (Simple Revision Control).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/src-vcs/README14
-rw-r--r--development/src-vcs/slack-desc19
-rw-r--r--development/src-vcs/src-vcs.SlackBuild89
-rw-r--r--development/src-vcs/src-vcs.info10
4 files changed, 132 insertions, 0 deletions
diff --git a/development/src-vcs/README b/development/src-vcs/README
new file mode 100644
index 0000000000..5900d1b189
--- /dev/null
+++ b/development/src-vcs/README
@@ -0,0 +1,14 @@
+ Simple Revision Control
+
+The venerable RCS (Revision Control System) has survived into the era
+of distributed version control because it fills a niche: sometimes you
+only *want* to track changes in single files at a time - for example,
+if you have a directory full of documents with separate histories.
+
+SRC (Simple Revision Control) is RCS, reloaded. It remains
+determinedly file-oriented and doesn't even track the committer of a
+change (because that's always you), but incorporates the design and
+user-interface lessons of modern systems. It features sequential
+revision numbers, lockless operation, embedded command help, and a
+command set that will seem familiar to users of Subversion, Mercurial,
+and Git.
diff --git a/development/src-vcs/slack-desc b/development/src-vcs/slack-desc
new file mode 100644
index 0000000000..68fe6eea80
--- /dev/null
+++ b/development/src-vcs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+src-vcs: src-vcs (Simple Revision Control)
+src-vcs:
+src-vcs: Simple Revision Control is RCS reloaded - a comfortable small
+src-vcs: version control system for single-file, solo-developer projects
+src-vcs: like all those little scripts in your ~/bin directory.
+src-vcs:
+src-vcs:
+src-vcs:
+src-vcs:
+src-vcs: https://gitorious.org/src-vcs
+src-vcs:
diff --git a/development/src-vcs/src-vcs.SlackBuild b/development/src-vcs/src-vcs.SlackBuild
new file mode 100644
index 0000000000..db09146a73
--- /dev/null
+++ b/development/src-vcs/src-vcs.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+# Slackware build script for src-vcs
+# Ryan P.C. McQuen | Everett, WA | ryan.q@linux.com
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version, with the following exception:
+# the text of the GPL license may be omitted.
+
+# This program is distributed in the hope that it will be useful, but
+# without any warranty; without even the implied warranty of
+# merchantability or fitness for a particular purpose. Compiling,
+# interpreting, executing or merely reading the text of the program
+# may result in lapses of consciousness and/or very being, up to and
+# including the end of all existence and the Universe as we know it.
+# See the GNU General Public License for more details.
+
+# You may have received a copy of the GNU General Public License along
+# with this program (most likely, a file named COPYING). If not, see
+# <http://www.gnu.org/licenses/>.
+
+PRGNAM=src-vcs
+VERSION=${VERSION:-0.14}
+SRCVERSION=167f0e3903a32a6c7203994ffe423fa391c5253e
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$PRGNAM
+tar xvf $CWD/$SRCVERSION.tar.gz
+cd $PRGNAM-$PRGNAM
+
+make \
+ OPTS="$SLKCFLAGS" \
+ prefix=/usr \
+ mandir=/man
+
+make install \
+ OPTS="$SLKCFLAGS" \
+ prefix=/usr \
+ mandir=/man \
+ DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp $CWD/README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/src-vcs/src-vcs.info b/development/src-vcs/src-vcs.info
new file mode 100644
index 0000000000..5da566b82e
--- /dev/null
+++ b/development/src-vcs/src-vcs.info
@@ -0,0 +1,10 @@
+PRGNAM="src-vcs"
+VERSION="0.14"
+HOMEPAGE="https://gitorious.org/src-vcs/src-vcs"
+DOWNLOAD="https://gitorious.org/src-vcs/src-vcs/archive/167f0e3903a32a6c7203994ffe423fa391c5253e.tar.gz"
+MD5SUM="f5e149583dca28eaa49f278e6ed1c6ec"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Ryan P.C. McQuen"
+EMAIL="ryan.q@linux.com"